package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.platform.bean.SysPojoVersion;
import cn.estsh.i3plus.pojo.platform.model.SysVersionExportModel;
import cn.estsh.i3plus.pojo.platform.model.SysVersionModel;
import cn.estsh.impp.framework.base.service.ICrudService;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 20-4-21 下午2:21
 * @Modify:
 **/
public interface ISysPojoVersionService extends ICrudService<SysPojoVersion> {

    SysPojoVersion getPojoVersion(SysPojoVersion bean);

    List<SysPojoVersion> findPojoVersionByUserBetweenTime(SysVersionExportModel model);

    /**
     * 根据条件分页查询
     * @param model
     * @param pager
     * @return
     */
    ListPager<SysPojoVersion> findPojoVersionByModel(SysVersionModel model, Pager pager);

}
